{ config, pkgs, ... }:
{
  # This updates the desktop database. https://github.com/NixOS/nixpkgs/blob/3cb4ae6689d2aa3f363516234572613b31212b78/nixos/modules/config/xdg/mime.nix#L91-L100
  xdg.mime.enable = true;

  # To create `mimeapps.list`, see options `xdg.mime.*`. https://github.com/NixOS/nixpkgs/pull/120087

#  # Inside the following Home Manager configuration block,
#  # `config` refers to Home Manager configuration.
#  home-manager.users.yoda = { osConfig, config, pkgs, ... }: {
#    xdg = {
#      enable = true;
#      # This updates the desktop database. https://github.com/nix-community/home-manager/blob/0e0e9669547e45ea6cca2de4044c1a384fd0fe55/modules/misc/xdg-mime.nix#L45-L58
#      mime.enable = true;
#    };
#  };
}
